PhpBB 3.0.7-PL1 et php 5.4

Pour discuter de phpBB3 - Pas de support sur cette section !
Pour du support veuillez vous rendre sur les sections de support 3.1 et 3.2

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Attention, aucun support n'est donné dans cette section.
Partager sur FacebookPartager sur TwitterPartager sur Google+

PhpBB 3.0.7-PL1 et php 5.4

Messagepar rmpartnercom » 10 Sep 2014 à 14:24

Bonjour,

Je voulais tout d'abord remercier ABDev, pour son correctif :
http://forums.phpbb-fr.com/annonces-a-lire/sujet192035.html

J'utilise la version 3.0.7-PL1 de phpbb, et justement, PlanetHoster nous oblige dorénavant à utiliser PHP 5.4
Résultat des courses : des messages d'erreurs.

J'ai contacté l'hébergeur afin de restaurer la version 5.3 de PHP. Tout remarche. Mais le changement sera obligatoire d'ici quelques jours. Donc, je dois trouver une solution d'ici là.

Pour en revenir au correctif, ça commence mal :

#-----[ OPEN ]------------------------------------------------
#
includes/startup.php


Je trouve le dossier includes, mais il n'y a pas de fichier nommé startup.com :(

Que faire ? Merci 8)
rmpartnercom
Posteur néophyte
Posteur néophyte
 
Messages: 4
Enregistré le: 10 Sep 2014 à 14:10

Re: PhpBB 3.0.7-PL1 et php 5.4

Messagepar Steph » 10 Sep 2014 à 14:30

Salut,

La grande solution sans miracle est de mettre à jour ton forum à la dernière version en date (3.0.12 pour le moment)

D'ailleurs le support ne peut être donné en deçà (Voir nos conditions générales de support au point 2.3)

PS : Pas de support dans "Discussions sur phpBB3" (voir cadre rouge ci-dessus)
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 17634
Enregistré le: 29 Déc 2008 à 15:48
Localisation: Alsace / Bas-Rhin / France

Re: PhpBB 3.0.7-PL1 et php 5.4

Messagepar rmpartnercom » 10 Sep 2014 à 14:31

Aussi, j'ai essayé de télécharger le dernier zip de mise à jour, qui aurait solutionné mon problème.

Je décompresse et transfère le dossier install à la racine du forum.
Et j'ouvre la page http://www.monsite.com/forum/install/

Le hic, cela donne une belle page blanche. Impossible de mettre à jour, allez savoir pourquoi.

L'idéal serait donc d'avoir un correctif compatible avec ma version du forum, car j'aimerais ne pas m'emmêler les pinceaux avec une mise à jour.

Merci.
rmpartnercom
Posteur néophyte
Posteur néophyte
 
Messages: 4
Enregistré le: 10 Sep 2014 à 14:10

Re: PhpBB 3.0.7-PL1 et php 5.4

Messagepar Steph » 10 Sep 2014 à 14:37

Il faut faire la mise à jour par ordre de version (3.07 > 3.0.8, 3.0.8 > 3.0.9, etc)

Tu trouveras ce qu'il faut dans la documentation : documentation/mise-a-jour/ et http://www.phpbb-fr.com/telechargements/ (pour les anciennes versions)
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 17634
Enregistré le: 29 Déc 2008 à 15:48
Localisation: Alsace / Bas-Rhin / France

Re: PhpBB 3.0.7-PL1 et php 5.4

Messagepar rmpartnercom » 10 Sep 2014 à 16:04

Je vais essayer ça, merci beaucoup l'amis.
rmpartnercom
Posteur néophyte
Posteur néophyte
 
Messages: 4
Enregistré le: 10 Sep 2014 à 14:10

Re: PhpBB 3.0.7-PL1 et php 5.4

Messagepar Steph » 10 Sep 2014 à 17:04

l'ami ?? On ne se connais pas je crois

Ce n'est pas essayer il faut le faire sinon nous ne donnerons pas de support d'autant plus que beaucoup de code à été modifié depuis la version 3.0.7 PL1 ce qui rend très difficile le support de plusieurs versions.

Si besoin d'aide lors de la mise à jour il faut ouvrir un nouveau sujet dans le forum concerné.
Avatar de l’utilisateur
Steph
Administrateur
Administrateur
 
Messages: 17634
Enregistré le: 29 Déc 2008 à 15:48
Localisation: Alsace / Bas-Rhin / France

Re: PhpBB 3.0.7-PL1 et php 5.4

Messagepar rmpartnercom » 10 Sep 2014 à 18:16

Voilà pour les mises à jour. C'est un peu long mais ça marche. Encore merci et bonne soirée.
rmpartnercom
Posteur néophyte
Posteur néophyte
 
Messages: 4
Enregistré le: 10 Sep 2014 à 14:10


Retourner vers Discussions sur phpBB3

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité